Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Public Member Functions | List of all members
InformationInterface Class Referenceabstract

Interface class for providing information on objects. More...

`#include <OpenFlipper/BasePlugin/InformationInterface.hh>`

Inheritance diagram for InformationInterface:

## Public Slots
virtual DataType | supportedDataTypes ()=0
| Get data type for information requests. More...
virtual void | slotInformationRequested (const QPoint _clickedPoint, DataType _type)=0
| Show information dialog on clicked object. More...

## Public Member Functions
virtual | ~InformationInterface ()
| Default destructor.

## Detailed Description

Interface class for providing information on objects.

Detailed description

Definition at line 70 of file InformationInterface.hh.

## Member Function Documentation

virtual void InformationInterface::slotInformationRequested | ( | const QPoint | _clickedPoint,
|  | DataType | _type
| ) |  |
| pure virtual slot

Show information dialog on clicked object.

This slot is called each time the user clicks on an object. The information plugin for a specific type should display the necessary information on all entity types and the clicked object itself.

Parameters

  _clickedPoint | The 2D point in screen coords, which the user has clicked
  _type | Data type to be registered

Implemented in InfoMeshObjectPlugin, and InfoSkeletonObjectPlugin.

virtual DataType InformationInterface::supportedDataTypes | ( |  | ) |
| pure virtual slot

Get data type for information requests.

This slot is called by the core in order to identify the data types for which the plugin provides information.

Returns
  The supported data types (OR'ed in case of multiple types)

Implemented in InfoMeshObjectPlugin, and InfoSkeletonObjectPlugin.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/InformationInterface.hh